## potracegui-trinity 14.1.0

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 3.1 )


#### general package setup

project( potracegui )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support"                       OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"           ON )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## potracegui-trinity 3.5.13.2

=== debian/changelog ===
potracegui-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:03:22 +0200

potracegui-trinity (1.3-2.0ubuntu1) karmic; urgency=low

  * Karmic rebuild for Trinity

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 06 Mar 2010 06:02:00 -0600

potracegui (1.3-2.3ubuntu2) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 17 Apr 2009 05:08:31 +0000

potracegui (1.3-2.3ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable (LP: #229066). Remaining Ubuntu changes:
    - debian/control: modify Maintainer to Ubuntu MOTU Developers
    - debian/rules: add dh_icon
  * Update Standards-Version to 3.7.3.
  * Fix debian-rules-ignores-make-clean-error lintian warning.
  * Fix debhelper-script-needs-versioned-build-depends lintian warning.

 -- Devid Filoni <d.filoni@techemail.com>  Sat, 22 Mar 2008 15:31:50 +0100

potracegui (1.3-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #417484).

 -- Luk Claes <luk@debian.org>  Fri, 14 Mar 2008 19:01:38 +0000

potracegui (1.3-2.2ubuntu3) hardy; urgency=low

  * debian/rules: change dh_iconcache to dh_icons to fix FTFBS. (LP: #204263)

 -- Andrea Colangelo <warp10@ubuntu.com>  Thu, 20 Mar 2008 14:41:57 +0100

potracegui (1.3-2.2ubuntu2) gutsy; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Aug 2007 08:09:41 +0000

potracegui (1.3-2.2ubuntu1) dapper; urgency=low

  * debian/rules: added dh_iconcache

 -- Szilveszter Farkas (Phanatic) <Szilveszter.Farkas@gmail.com>  Mon,  8 May 2006 10:26:45 +0200

potracegui (1.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to more restrictive coreutils. (Closes: #340010)
    Patch by Roland Stigge.

 -- Adeodato Simó <dato@net.com.org.es>  Tue, 13 Dec 2005 03:40:56 +0100

potracegui (1.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild for the Qt/KDE transition (Closes: #327984)
  * German PO file corrections (Closes: #313817)

 -- Luk Claes <luk@debian.org>  Fri, 30 Sep 2005 17:24:45 +0200

potracegui (1.3-2) unstable; urgency=medium

  * Urgency medium, cause without this fix package is almost unusable
    for people using German locale.
  * Closes: #303718: translated text is passed as option to potrace

 -- Christoph Wegscheider <christoph.wegscheider@wegi.net>  Sat, 30 Apr 2005 23:04:34 +0200

potracegui (1.3-1) unstable; urgency=low

  * New upstream release
    - german translation

 -- Christoph Wegscheider <christoph.wegscheider@wegi.net>  Sat,  5 Mar 2005 12:46:14 +0100

potracegui (1.2-1) unstable; urgency=low

  * New upstream release
  	- added support for autotrace
  * added upstream author to manpage
  * Suggests autotrace now
  * mention autotrace in description
  * using dh_installman now
  * added watch file
  * various other minor fixes to make sponsor happy

 -- Christoph Wegscheider <christoph.wegscheider@wegi.net>  Tue,  4 Jan 2005 09:30:40 +0100

potracegui (1.1-1) unstable; urgency=low

  * New upstream release

 -- Christoph Wegscheider <christoph.wegscheider@wegi.net>  Wed, 17 Nov 2004 07:04:33 +0100

potracegui (1.0-1) unstable; urgency=low

  * new upstream release.
  * removed recommondation for libmagick, as it is no longer needed.

 -- Christoph Wegscheider <christoph.wegscheider@wegi.net>  Tue, 22 Jun 2004 14:56:45 +0200

potracegui (0.5.1-3) unstable; urgency=low

  * added autotool-dev to Build-Depends.

 -- Christoph Wegscheider <christoph.wegscheider@wegi.net>  Thu, 10 Jun 2004 16:00:58 +0200

potracegui (0.5.1-2) unstable; urgency=low

  * adjusting the copyright file and the package description.
  * fixed Build-Depends.
  * Closes: #253205: ITP: potracegui -- a KDE frontend for potrace.
  * Recommends now imagemagick, needed for displaying tracing results.

 -- Christoph Wegscheider <christoph.wegscheider@wegi.net>  Tue,  8 Jun 2004 09:40:05 +0200

potracegui (0.5.1-1) unstable; urgency=low

  * Initial Release.
  * My first debian package.

 -- Christoph Wegscheider <christoph.wegscheider@wegi.net>  Sat,  5 Jun 2004 14:59:34 +0200

=== debian/control ===
Source: potracegui-trinity
Section: graphics
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Christoph Wegscheider <christoph.wegscheider@wegi.net>
Uploaders: Bartosz Fenski <fenio@debian.org>
Build-Depends: debhelper (>= 5.0.51), quilt, kdelibs4-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: potracegui-trinity
Architecture: any
Depends: ${shlibs:Depends}, potrace
Suggests: autotrace
Description: KDE frontend for potrace [Trinity]
 A KDE interface for the commandline tracing tools potrace and/or autotrace. It
 supports drag and drop as well as all image types recognized by KDE, which are
 a lot more than the 4 recognized by the potrace commandline tool. Loading of
 remote files (web, ftp, ...) is also supported.  
 .  
 Homepage: http://potracegui.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs

	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/opt/trinity --mandir=/opt/trinity/share/man --infodir=/opt/trinity/share/info --disable-rpath


build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	
	rm -f po/*.gmo


	dh_clean  --exclude ./src/potracegui.cpp.orig

install: build
	dh_testdir
	dh_testroot
	dh_clean -k  --exclude ./src/potracegui.cpp.orig
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/potracegui-trinity
	mkdir -p $(CURDIR)/debian/potracegui-trinity/opt/trinity/share/doc/tde
	mkdir -p $(CURDIR)/debian/potracegui-trinity/opt/trinity/share/applnk/Graphics
	mv $(CURDIR)/debian/potracegui-trinity/opt/trinity/share/applnk/Utilities/potracegui.desktop $(CURDIR)/debian/potracegui-trinity/opt/trinity/share/applnk/Graphics/
	rmdir $(CURDIR)/debian/potracegui-trinity/opt/trinity/share/applnk/Utilities

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_installman debian/potracegui-trinity.1
	dh_icons
	dh_link
	dh_strip
	dh_compress -X.docbook
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=2
ftp://ftp2.sf.net/pub/sourceforge/p/po/potracegui/ potracegui-([\d\.]*)\.tar\.gz	debian uupdate

## potracegui-trinity 14.1.0

=== debian/changelog ===
potracegui-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#potracegui

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## potracegui-trinity 14.1.1

=== debian/changelog ===
potracegui-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#potracegui

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Jul 2023 11:56:33 +0200

## potracegui-trinity 14.1.2

=== debian/changelog ===
potracegui-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#potracegui

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Apr 2024 00:36:33 +0200

## potracegui-trinity 14.1.3

=== debian/changelog ===
potracegui-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#potracegui

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:51:11 +0200

## potracegui-trinity 14.1.4

=== debian/changelog ===
potracegui-trinity (4:14.1.4-0raspbian11.0.0+0) raspbian-bullseye; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#potracegui

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
Source: potracegui-trinity
Section: graphics
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Christoph Wegscheider <christoph.wegscheider@wegi.net>
Uploaders: Bartosz Fenski <fenio@debian.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: potracegui-trinity
Architecture: any
Depends: ${shlibs:Depends}, potrace
Replaces: potracegui-trinity (<< 4:14.0.0~)
Breaks: potracegui-trinity (<< 4:14.0.0~)
Suggests: autotrace
Description: TDE frontend for potrace [Trinity]
 A TDE interface for the commandline tracing tools potrace and/or autotrace. It
 supports drag and drop as well as all image types recognized by TDE, which are
 a lot more than the 4 recognized by the potrace commandline tool. Loading of
 remote files (web, ftp, ...) is also supported.  
 .  
 Homepage: http://potracegui.sourceforge.net

## potracegui-trinity 14.1.5~pre0

=== debian/changelog ===
potracegui-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for ced2d9744c3c15f97b9043a03390ec345a14544d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#potracegui

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## potracegui-trinity 14.1.5

=== debian/changelog ===
potracegui-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#potracegui

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## potracegui-trinity 14.1.6~pre0

=== debian/changelog ===
potracegui-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ced2d9744c3c15f97b9043a03390ec345a14544d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#potracegui

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## potracegui-trinity 14.1.6~pre1

=== debian/changelog ===
potracegui-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for d43502fd1d17bc8aab9a403d87b2fe97f618817f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#potracegui

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:37:19 +0100

## potracegui-trinity 14.2.0~pre14

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### potracegui (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        MainWidgetBase.ui
        main.cpp
        potracegui.cpp
        autotraceformats.cpp
        mainwidget.cpp
        options.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( ${PROJECT_NAME} )


##### other data

install(
    FILES potraceguiui.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

=== debian/changelog ===
potracegui-trinity (4:14.2.0~pre14-0raspbian11.0.0+6) raspbian-bullseye; urgency=low

  * Automated git build for 77a204e9a9b443f28770da1511db49f349c186e3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#potracegui

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Christoph Wegscheider <christoph.wegscheider@wegi.net>
 Uploaders: Bartosz Fenski <fenio@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: potracegui-trinity

## potracegui-trinity 14.2.0~pre15

=== debian/changelog ===
potracegui-trinity (4:14.2.0~pre15-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for e57d2f17697bfe69eb94321a1d8615e166fb5b42
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#potracegui

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:55:30 +0100
